# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/display/panel/sharp,ld-d5116z01b.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Sharp LD-D5116Z01B 12.3" WUXGA+ eDP panel

maintainers:
  - Jeffrey Hugo <jeffrey.l.hugo@gmail.com>

allOf:
  - $ref: panel-common.yaml#

properties:
  compatible:
    const: sharp,ld-d5116z01b

  power-supply: true
  backlight: true
  port: true
  no-hpd: true

additionalProperties: false

required:
  - compatible
  - power-supply

...
